%define oname   configuration

Name:       ruby-%{oname}
Version:    1.3.4
Release:    %mkrel 3
Summary:    Pure ruby scoped configuration files
Group:      Development/Ruby
License:    Ruby License
URL:        http://github.com/ahoward/configuration/tree/master
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Pure ruby scoped configuration files

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.4-3.mga8
+ Revision: 1499641
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.4-2.mga7
+ Revision: 1275114
- Mageia 7 Mass Rebuild

* Fri Jan 01 2016 pterjan <pterjan> 1.3.4-1.mga6
+ Revision: 917524
- Update to 1.3.4

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-10.mga5
+ Revision: 750463
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-9.mga5
+ Revision: 688772
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.3.2-8.mga4
+ Revision: 561811
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.3.2-7.mga4
+ Revision: 561094
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-6.mga4
+ Revision: 535373
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.3.2-5.mga4
+ Revision: 481932
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 1.3.2-4.mga4
+ Revision: 476994
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 395797
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 380728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.3.2-1.mga3
+ Revision: 312791
- new version 1.3.2

* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.0-2.mga1
+ Revision: 40178
- imported package ruby-configuration


* Wed Jan 26 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.0-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 592991
- import rubygem-configuration

